package com.brilliance.isc.common.api.lim.service;

import com.brilliance.isc.common.api.lim.vo.LimRequest;
import com.brilliance.isc.common.api.lim.vo.LimResponse;
import com.brilliance.isc.common.api.lim.vo.YapinRequest;
import com.brilliance.isc.common.api.lim.vo.YapinResponse;

public interface LimApiService {
    /**
     * 额度查询
     * @param limRequest
     * @return
     */
    LimResponse limQuery(LimRequest limRequest);

    /**
     * 额度试算
     * @param limRequest
     * @return
     */
    LimResponse limPreCal(LimRequest limRequest);

    /**
     * 额度初始化
     * @param limRequest
     * @return
     */
    LimResponse limInit(LimRequest limRequest);

    /**
     * 转授权查询
     * @param limRequest
     * @return
     */
    LimResponse limZsqQuery(LimRequest limRequest);

    /**
     * 押品试算
     * @param yapinRequest
     * @return
     */
    YapinResponse yapinInit(YapinRequest yapinRequest);
}
